import 'package:flutter/material.dart';
import 'package:flutter_overlay_window/flutter_overlay_window.dart';

class MessangerChatHead extends StatefulWidget {
  const MessangerChatHead({Key? key}) : super(key: key);

  @override
  State<MessangerChatHead> createState() => _MessangerChatHeadState();
}

class _MessangerChatHeadState extends State<MessangerChatHead> {
  Color color = const Color(0xFFFFFFFF);

  @override
  void initState() {
    super.initState();
    FlutterOverlayWindow.overlayListener.listen((event) {
      switch (event.toString().toLowerCase()) {
        case 'update':
          FlutterOverlayWindow.updateFlag(OverlayFlag.clickThrough);
          break;
        case 'close':
          FlutterOverlayWindow.closeOverlay();
          break;
        default:
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Colors.transparent,
      elevation: 0.0,
      child: Container(
        height: MediaQuery.of(context).size.height,
        decoration: BoxDecoration(color: color, shape: BoxShape.circle),
        child: const Center(
          child: FlutterLogo(),
        ),
      ),
    );
  }
}
